Skip to content
Справочник APIConsumerConsumer.devices

Get device authorization status

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

GET
/consumer/v1/devices/{id}/authorization

Returns the machine-authorization state for a device in the selected project. Accepts either a user bearer token or the device's own bearer token.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Device ID

Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/devices/55555555-5555-5555-5555-555555555555/authorization" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "authorized_at": null,  "authorized_by": null,  "policy": "manual",  "rejection_reason": null,  "status": "pending"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}